%% -*- Coding: utf-8 -*-
%% Apr. 29, JST 2009
\version "2.24.0"
#(set-default-paper-size "letter")
#(set-global-staff-size 14)

\header {
 dedication = "Wordless Poem"
 title = "Four things"
 %%subtitle = #(string-append "LilyPond version " (lilypond-version))
 subtitle = " Fine, Wind, Rain and Sunlight"
 subsubtitle = \markup{\center-column {
                   "soprano; C clef on 1st line,       alto; C clef on 3rd line."
                   "       bass; F clef on 4th line,    tenor; C clef on 4th line."}}
 composer = \markup{ \line {\italic "Yukio Yoshida"}}
 arranger = "Apr. 29, JST 2009"
 poet = " "
 opus = "Op.39"
 meter = "Largo"
 copyright = "public Domain"
%% tagline = " "
}


%%%%%%%%% soprano part %%%%%%%%%%%%%%%%%%%%%
soprano = {
%% 1-4
    \autoBeamOff
    r4 a'1 ~ a'8[ g'] ~ | g'1 fis'8[ g'] fis'8 g'8 |
    a'2 b'8[ cis''] d''4 b'8[ g'] a'4 |
\break
%% 4-7
    fis'8 e' d'4.. e'8.[ fis'8] g'2 ~ |
    g'8 r16 a'1 cis''8[ d''] r16 | e''1 d''16[ fis''] d''8 fis''8 d''16[ fis''] |
    e''2. fis'' |
\break
%% 8-11
    \repeat volta 2 { r1 fis'16[ e' d' cis'] ~ cis'4 | d'2. cis'2. | }
    \repeat volta 2 { r4 a'2. cis''2 | a'1. |
\break
%% 12-14
    r2. a'8[ b'16] cis''8[ d''16] cis''4. |
    cis''8[ d''16] e''8[ fis''16] e''4. e''8[ fis''16] g''8[ a''16] g''4. |
    fis''2 cis'' g' |
\break
%% 15-17
    << { fis''8[^\markup { I }
                e''16 d''] e''8[ d''16 cis''] d''8[ cis''16 b'] cis''8[ b'] a'2 } \\
    { b'8[_\markup { II }
                 a'16 g'] a'8[ g'16 fis'] g'8[ fis'16 e'] fis'8[ e'] d'2 } >> |
    << { \autoBeamOff
         a''16[ g'' fis''8] g''16[ fis'' e''8] fis''16[ e'' d''8] e''8 d'' cis''2}\\
       { \autoBeamOff
         e''16[ d'' cis''8] d''16[ cis'' b'8] cis''16[ b' a'8] b'8 a' g'2 } >> |
    d''1.^\markup { I, II } ~ } | d''1.^\fermata | \bar "|."
}

%% sopranoL = \lyricmode { }
sopranoM = {
    \autoBeamOff
    r4 a'1 ~ a'8[ g'] ~ | g'1 fis'8[ g'] fis'8 g'8 |
    a'2 b'8[ cis''] d''4 b'8[ g'] a'4 |
\break
    fis'8 e' d'4.. e'8.[ fis'8] g'2 ~ |
    g'8 r16 a'1 cis''8[ d''] r16 | e''1 d''16[ fis''] d''8 fis''8 d''16[ fis''] |
    e''2. fis'' |
\break
    \repeat volta 2 { r1 fis'16[ e' d' cis'] ~ cis'4 | d'2. cis'2. | }
    \repeat volta 2 { r4 a'2. cis''2 | a'1. |
\break
    r2. a'8[ b'16] cis''8[ d''16] cis''4. |
    cis''8[ d''16] e''8[ fis''16] e''4. e''8[ fis''16] g''8[ a''16] g''4. |
    fis''2 cis'' g' |
\break
    << { fis''8[^\markup { I }
                e''16 d''] e''8[ d''16 cis''] d''8[ cis''16 b'] cis''8[ b'] a'2 } \\
    { b'8[_\markup { II }
                 a'16 g'] a'8[ g'16 fis'] g'8[ fis'16 e'] fis'8[ e'] d'2 } >> |
    << { \autoBeamOff
         a''16[ g'' fis''8] g''16[ fis'' e''8] fis''16[ e'' d''8] e''8 d'' cis''2}\\
       { \autoBeamOff
         e''16[ d'' cis''8] d''16[ cis'' b'8] cis''16[ b' a'8] b'8 a' g'2 } >> |
    d''1.^\markup { I, II } ~ } | d''1.^\fermata \bar "|."
}

%%%%%%%%%% alto part %%%%%%%%%%%%%%%%%%%%%%
alto = {
%% 1-3
     \autoBeamOff
    r8. a'1 g'8[ e' cis'16] ~ | cis'2 a4 b cis'8[ d'16 e'8 fis'16 g'8] |
    a'1 fis'8[ d'8] b16[ a g fis] |
\break
%% 4-7
    r16. fis2 r16. g2 r16 fis4 ~ | fis1  r8 cis'8. g' |
    a'1 g'8[ b'] g'16[ b'] g'8 | a'2. b' |
\break
%% 8-11
    \repeat volta 2 { a'16[ g' fis' e'] ~ e'4 r1 | g2. fis | }
    \repeat volta 2 { r8. cis'2 b2. r16 ~ | r2 g'1 ~ |
\break
%% 12-14
    g'2 r4 d'8[ e'16] fis'8[ g'16] fis'4. |
    fis'8[ g'16] a'8[ b'16] a'4. a'8[ b'16] cis''8[ d''16] cis''4. |
    b'16[ a' g'8] a'16[ g' fis'8] g'16[ fis' e'8] fis'16[ e' d'8] cis'2 |
\break
%% 15-18
    cis''8[ b'16 a'] b'8[ a'16 g'] a'8[ g'16 fis'] g'8[ fis'] e'2 |
    a cis' e' | g'1. ~ } | g'1.^\fermata \bar "|."
}

%% altoL = \lyricmode { }
altoM = {
     \autoBeamOff
    r8. a'1 g'8[ e' cis'16] ~ | cis'2 a4 b cis'8[ d'16 e'8 fis'16 g'8] |
    a'1 fis'8[ d'8] b16[ a g fis] |
\break
    r16. fis2 r16. g2 r16 fis4 ~ |  fis1  r8 cis'8. g' |
    a'1 g'8[ b'] g'16[ b'] g'8 | a'2. b' |
\break
    \repeat volta 2 { a'16[ g' fis' e'] ~ e'4 r1 | g2. fis | }
    \repeat volta 2 { r8. cis'2 b2. r16 ~ | r2 g'1 ~ |
\break
    g'2 r4 d'8[ e'16] fis'8[ g'16] fis'4. |
    fis'8[ g'16] a'8[ b'16] a'4. a'8[ b'16] cis''8[ d''16] cis''4. |
    b'16[ a' g'8] a'16[ g' fis'8] g'16[ fis' e'8] fis'16[ e' d'8] cis'2 |
\break
    cis''8[ b'16 a'] b'8[ a'16 g'] a'8[ g'16 fis'] g'8[ fis'] e'2 |
    a cis' e' | g'1. ~ } | g'1.^\fermata \bar "|."
}

%%%%%%%% tenor part %%%%%%%%%%%%%%%%%%%%%%%
tenor = {
%% 1-3
     \autoBeamOff
     r8 a2 e4 g8 fis2 | g4 fis4. e8 d2 fis4 | a2. e'2 d'8[ cis'] |
\break
%% 4-7
     b2 d4. e8[ fis g] a4 | fis'2 e'4 d' b2 | g'1  fis'4 g' | a2 g fis |
\break
%% 8-11
     \repeat volta 2 { r2 fis' g' | d'2. cis' } |
     \repeat volta 2 { r8 d'8[ e'16] r2. fis'8[ e' d' cis'16] | r2 b1 |
\break
%% 12-14
     r4 e2. g4 b4 |
     d'8[ e'16] fis'8[ g'16] fis'4. fis'8-.[ e'16-.] e'8-.[ d'16-.] cis'4. |
     g'16[ fis'] e'2 r4 d'16[ cis'] b2 |
\break
%% 15-
     e'8[ d'16 cis'] d'8[ cis'16 b] cis'8[ b16 a] b8[ a] g2 |
     fis2 a cis' | e'1. ~ } | e'1.^\fermata \bar "|."
}

tenorL = \lyricmode {}
tenorM = {
     \autoBeamOff
     r8 a2 e4 g8 fis2 | g4 fis4. e8 d2 fis4 | a2. e'2 d'8[ cis'] |
\break
     b2 d4. e8[ fis g] a4 | fis'2 e'4 d' b2 | g'1 fis'4 g' | a2 g fis |
\break
     \repeat volta 2 { r2 fis' g' | d'2. cis' } |
     \repeat volta 2 { r8 d'8[ e'16] r2. fis'8[ e' d' cis'16] | r2 b1 |
\break
     r4 e2. g4 b4 |
     d'8[ e'16] fis'8[ g'16] fis'4. fis'8-.[ e'16-.] e'8-.[ d'16-.] cis'4. |
     g'16[ fis'] e'2 r4 d'16[ cis'] b2 |
\break
     e'8[ d'16 cis'] d'8[ cis'16 b] cis'8[ b16 a] b8[ a] g2 |
     fis2 a cis' | e'1. ~ } | e'1.^\fermata \bar "|."
}

%%%%%%% bass; part %%%%%%%%%%%%%%%%
bass = {
%% 1-3
   \autoBeamOff
   e1. ~ | e4 d4. e8 cis4 d2 | fis2 r4 a2 g8[ fis] |
\break
%% 4-7
   g8[ fis] e4 cis8 b,8[ cis d] b,2 | b4. cis'8[ a fis] d2. |
   cis'1 a4 b8[ cis'] | d2 cis b, |
\break
%% 8-11
   \repeat volta 2 { a2 b r2 | a2. g  } |
   \repeat volta 2 { fis4 e d cis b,8 d fis a ~ | a1. |
\break
%% 12-14
   r2. e2. | g8[ a16] b8[ cis'16] b4. b8-.[ a16-.] a8-.[ g16-.] fis4. |
   b4 a g fis e2 ~ |
\break
%% 15-
   e4 r8 g4 r8 b4 d'2 |
   d'16[ cis' b8] cis'16[ b a8] b16[ a g8] a8 g fis2 |
   a1. ~ } | a1.^\fermata \bar "|."
}

bassL = \lyricmode {}
bassM = {
   \autoBeamOff
   e1. ~ | e4 d4. e8 cis4 d2 | fis2 r4 a2 g8[ fis] |
\break
   g8[ fis] e4 cis8 b,8[ cis d] b,2 | b4. cis'8[ a fis] d2. |
   cis'1 a4 b8[ cis'] | d2 cis b, |
\break
   \repeat volta 2 { a2 b r2 | a2. g } |
   \repeat volta 2 { fis4 e d cis b,8 d fis a ~ | a1. |
\break
   r2. e2. | g8[ a16] b8[ cis'16] b4. b8-.[ a16-.] a8-.[ g16-.] fis4. |
   b4 a g fis e2 ~ |
\break
   e4 r8 g4 r8 b4 d'2 |
   d'16[ cis' b8] cis'16[ b a8] b16[ a g8] a8 g fis2 |
   a1. ~ } | a1.^\fermata \bar "|."
}

%%%%%%%%%% midi music code part %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% get sheet music ---------------------------------------------------------------
\score {
         <<
           \context ChoirStaff = "FourPartStaffaddchorus" <<
           \new Voice = "soprano" { \clef soprano \key d\major \time 3/2
                        \set Staff.instrumentName = \markup { \column {
                            "soprano" " I , II " } } \soprano }
                        %%\new Lyrics = "mainSL" \lyricsto "soprano" { \sopranoL }

           \new Voice = "alto" { \clef alto \key d\major \time 3/2
                        \set Staff.instrumentName = "alto   " \alto }
                        %%\new Lyrics = "mainAL" \lyricsto "alto" { \altoL }

           \new Voice = "tenor" { \clef tenor \key d\major \time 3/2
                        \set Staff.instrumentName = "tenor  " \tenor }
                        %%\new Lyrics = "mainTL" \lyricsto "tenor" { \tenorL }

           \new Voice = "bass" { \clef bass \key d\major \time 3/2
                        \set Staff.instrumentName = "bass   " \bass }
                        %%\new Lyrics = "mainBL" \lyricsto "bass" { \bassL }
                                            >>

           %%\context PianoStaff = "PianoStaff" <<
           %%\new Voice = "piano" { \clef treble \key \major \time
           %%             \set Staff.instrumentName = "piano  " \pianoUP }
           %%\new Voice = "piano" { \clef bass \key \major \time
           %%             \set Staff.instrumentName = "piano  " \pianoDown }
           %%                                   >>

         >>

  \layout {
            \context { \Staff \RemoveEmptyStaves }
           }
}

%% get midi music ----------------------------------------------------------------
\score {
         <<
       %% Soprano Instruments ..................
           \new Staff { \clef soprano \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \sopranoM }
           \new Staff { \clef soprano \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "violin"
                                         \unfoldRepeats       \sopranoM }
           \new Staff { \clef soprano \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "violin"
                                         \unfoldRepeats       \sopranoM }

       %% Alto Instruments .......................
           \new Staff { \clef alto \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \altoM }
           \new Staff { \clef alto \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "oboe"
                                         \unfoldRepeats          \altoM }

        %% Tenor Instruments .....................
           \new Staff { \clef tenor \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats       \tenorM }
           \new Staff { \clef tenor \key d\major \time 3/2 \tempo 4 = 40
                         \set Staff.midiInstrument = "viola"
                                         \unfoldRepeats       \tenorM }

        %% Bass Instruments ......................
           \new Staff { \clef bass \key d\major \time 3/2 \tempo 4 = 40
                        \set Staff.midiInstrument = "pad 2 (warm)"
                                         \unfoldRepeats          \bassM }
           \new Staff { \clef bass \key d\major \time 3/2 \tempo 4 = 40
                        \set Staff.midiInstrument = "cello"
                                         \unfoldRepeats          \bassM }


           %%\new Staff { \clef treble \key \major \time \tempo 4 =
           %%             \set Staff.midiInstrument = "acoustic grand"
           %%                                \unfoldRepeats       \pianoUPm }
           %%\new Staff { \clef bass \key \major \time \tempo 4 =
           %%             \set Staff.instrumentName = "acoustic grand"
           %%                                \unfoldRepeats     \pianoDownm }
         >>

   \midi { tempoWholesPerMinute = #(ly:make-moment 40 4) }
}
